Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: alacritty-git 0.1.0.396-1

Git Clone URL: https://aur-dev.archlinux.org/alacritty-git.git (read-only)
Package Base: alacritty-git
Description: A cross-platform, GPU enhanced terminal emulator
Upstream URL: https://github.com/jwilm/alacritty
Keywords: GPU rust terminal
Licenses: Apache-2.0
Conflicts: alacritty
Provides: alacritty
Submitter: quininer
Maintainer: quininer
Last Packager: quininer
Votes: 13
Popularity: 7.507957
First Submitted: 2016-11-01 13:53
Last Updated: 2017-02-04 12:46

Latest Comments

1 2 3 Next › Last »

polyzen commented on 2017-02-04 20:15

https://github.com/jwilm/alacritty/issues/353

polyzen commented on 2017-02-04 19:38

Getting the same experimental bug as voyd with having used `rustup toolchain install stable`. Haven't reported upstream, yet.

polyzen commented on 2017-02-04 19:07

Turns out Rust 1.15 isn't packaged yet.

Tyranic-Moron commented on 2017-02-04 18:12

@voyd you need to update to the latest stable rust toolchain (1.15.0); `rustup toolchain install stable`

voyd commented on 2017-02-04 11:28

Doesn't compile for me:

error: attribute must only have one argument
--> /home/voyd/.cargo/registry/src/github.com-1ecc6299db9ec823/serde_derive-0.9.6/src/lib.rs:20:3
|
20 | #[proc_macro_derive(Serialize, attributes(serde))]
| ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

error: attribute must only have one argument
--> /home/voyd/.cargo/registry/src/github.com-1ecc6299db9ec823/serde_derive-0.9.6/src/lib.rs:29:3
|
29 | #[proc_macro_derive(Deserialize, attributes(serde))]
| ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

error: the `proc-macro` crate type is experimental
|
= help: add #![feature(proc_macro)] to the crate attributes to enable

error: the `#[proc_macro_derive]` attribute is an experimental feature (see issue #35900)
--> /home/voyd/.cargo/registry/src/github.com-1ecc6299db9ec823/serde_derive-0.9.6/src/lib.rs:20:1
|
20 | #[proc_macro_derive(Serialize, attributes(serde))]
| ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

error: the `#[proc_macro_derive]` attribute is an experimental feature (see issue #35900)
--> /home/voyd/.cargo/registry/src/github.com-1ecc6299db9ec823/serde_derive-0.9.6/src/lib.rs:29:1
|
29 | #[proc_macro_derive(Deserialize, attributes(serde))]
| ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

error: aborting due to 2 previous errors

emersion commented on 2017-02-04 08:12

Alacritty doesn't need a nightly version of Rust anymore: https://twitter.com/i_am_jwilm/status/827550505349976064

DarkScythe97 commented on 2017-01-29 10:24

If you're using rustup you can replace the build line with this

rustup run $(<rustc-version) cargo build --release

which will build using the right nightly. No need for override.

Yamakaky commented on 2017-01-28 23:13

You should not do `cargo update` while packaging. The whole idea of Cargo.lock is replicable builds.

oconnor663 commented on 2017-01-25 22:04

Removing the `set override` line caused the build to break on machines that have rustup installed but which don't have it default to nightly, I think.

mmlb commented on 2017-01-24 19:00

It'd be nice if you could add git sha to the package version. I like to see what has changed between builds/installs. Something like:

pkgver() {
cd $pkgname
echo $(grep '^version =' Cargo.toml|head -n1|cut -d\" -f2).$(git rev-list --count HEAD).g$(git describe --always)
}